Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 79312

Summary: KDE CRASH , FREQUENTLY & VERY OFTEN
Product: [Retired] Red Hat Linux Reporter: Need Real Name <david.armstrong>
Component: kernelAssignee: Arjan van de Ven <arjanv>
Status: CLOSED WORKSFORME QA Contact: Brian Brock <bbrock>
Severity: medium Docs Contact:
Priority: medium    
Version: 8.0CC: michael
Target Milestone: ---   
Target Release: ---   
Hardware: i586   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2003-06-05 13:08:38 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Need Real Name 2002-12-09 22:48:05 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
KDE CRASH 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.FREQUENT 
2.
3.
	

Actual Results:  KDE CRASH 

Expected Results:  ?

Additional info:

(no debugging symbols found)...[New Thread 8192 (LWP 1240)]
0x41054789 in wait4 () from /lib/libc.so.6
#0  0x41054789 in wait4 () from /lib/libc.so.6
#1  0x410ca6b8 in __DTOR_END__ () from /lib/libc.so.6
#2  0x40e7de9c in waitpid () from /lib/libpthread.so.0
#3  0x4066c1e5 in KCrash::defaultCrashHandler(int) ()
   from /usr/lib/libkdecore.so.4
#4  <signal handler called>
#5  0x4006c510 in FileLVI::getFileName() const () from /usr/lib/libark.so.1
#6  0x4005c4d4 in ArkWidget::createRealArchive(QString const&) ()
   from /usr/lib/libark.so.1
#7  0x4005cc01 in ArkWidget::action_add() () from /usr/lib/libark.so.1
#8  0x40062a10 in ArkWidget::qt_invoke(int, QUObject*) ()
   from /usr/lib/libark.so.1
#9  0x4095ed6b in QObject::activate_signal(QConnectionList*, QUObject*) ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#10 0x4095ec57 in QObject::activate_signal(int) ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#11 0x4041f79b in KAction::activated() () from /usr/lib/libkdeui.so.4
#12 0x404128bf in KAction::slotActivated() () from /usr/lib/libkdeui.so.4
#13 0x4041f992 in KAction::qt_invoke(int, QUObject*) ()
   from /usr/lib/libkdeui.so.4
#14 0x4095ed6b in QObject::activate_signal(QConnectionList*, QUObject*) ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#15 0x40c259f2 in QSignal::signal(QVariant const&) ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#16 0x40978298 in QSignal::activate() ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#17 0x40a49ef3 in QPopupMenu::mouseReleaseEvent(QMouseEvent*) ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#18 0x4099336c in QWidget::event(QEvent*) ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#19 0x4090ac49 in QApplication::internalNotify(QObject*, QEvent*) ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#20 0x4090a363 in QApplication::notify(QObject*, QEvent*) ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#21 0x406009c6 in KApplication::notify(QObject*, QEvent*) ()
   from /usr/lib/libkdecore.so.4
#22 0x408ae676 in QETWidget::translateMouseEvent(_XEvent const*) ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#23 0x408ab9b6 in QApplication::x11ProcessEvent(_XEvent*) ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#24 0x408ab52f in QApplication::processNextEvent(bool) ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#25 0x4090c280 in QApplication::enter_loop() ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#26 0x408ab02d in QApplication::exec() ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#27 0x400637cd in main () from /usr/lib/libark.so.1
#28 0x40fc64ce in __libc_start_main () from /lib/libc.so.6

Comment 1 Michael Lee Yohe 2002-12-12 17:04:55 UTC
Component != kernel.

Could you please provide the version information of KDE and if you are using the
Red Hat supplied packages.

Comment 2 Need Real Name 2002-12-12 17:25:59 UTC
new install to clean hard drive etc, using only redhat supplied files & 
updates via update service , pc is up to date as of today (12th dec )
using kernel 2.4.18-18.8.0
KDE Version 3.0.3.8 release 2.4.18.14
pc also crashes when idle at various times from 1-2 hours up to 6 hours 
even when idle , only recourse is to switch off and re-start from a hard reset 
no soft start option etc ..


Comment 3 Alan Cox 2002-12-16 05:16:24 UTC
Boot with the option "apm=off" and let us know if that improves life. That will
eliminate bugs in bios power management if any